s3games.engine.expr

## Enum Expr.operatorType

- java.lang.Object
- - java.lang.Enum<Expr.operatorType>
  - - s3games.engine.expr.Expr.operatorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Expr.operatorType>
  Enclosing class:
    Expr

      public static enum Expr.operatorType
      extends java.lang.Enum<Expr.operatorType>

  list of all supported internal operators

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABS`
    `AND`
    `ASSIGNMENT`
    `DIV`
    `ELEMENT`
    `EQUALS`
    `GREATER`
    `GREATEREQUAL`
    `INTERSECTION`
    `LOWER`
    `LOWEREQUAL`
    `MINUS`
    `MOD`
    `NOT`
    `NOTEQUALS`
    `OR`
    `PLUS`
    `SETMINUS`
    `SUBSET`
    `TIMES`
    `UNION`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Expr.operatorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Expr.operatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final Expr.operatorType EQUALS

    - #### NOTEQUALS

          public static final Expr.operatorType NOTEQUALS

    - #### LOWER

          public static final Expr.operatorType LOWER

    - #### LOWEREQUAL

          public static final Expr.operatorType LOWEREQUAL

    - #### GREATER

          public static final Expr.operatorType GREATER

    - #### GREATEREQUAL

          public static final Expr.operatorType GREATEREQUAL

    - #### PLUS

          public static final Expr.operatorType PLUS

    - #### MINUS

          public static final Expr.operatorType MINUS

    - #### TIMES

          public static final Expr.operatorType TIMES

    - #### DIV

          public static final Expr.operatorType DIV

    - #### MOD

          public static final Expr.operatorType MOD

    - #### ABS

          public static final Expr.operatorType ABS

    - #### SUBSET

          public static final Expr.operatorType SUBSET

    - #### ELEMENT

          public static final Expr.operatorType ELEMENT

    - #### SETMINUS

          public static final Expr.operatorType SETMINUS

    - #### UNION

          public static final Expr.operatorType UNION

    - #### INTERSECTION

          public static final Expr.operatorType INTERSECTION

    - #### AND

          public static final Expr.operatorType AND

    - #### OR

          public static final Expr.operatorType OR

    - #### NOT

          public static final Expr.operatorType NOT

    - #### ASSIGNMENT

          public static final Expr.operatorType ASSIGNMENT

    - #### UNKNOWN

          public static final Expr.operatorType UNKNOWN

  - ### Method Detail

    - #### values

          public static Expr.operatorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Expr.operatorType c : Expr.operatorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Expr.operatorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null